Bug 1438520 - [RFE] Support VMware 6.5 HTML Console
Summary: [RFE] Support VMware 6.5 HTML Console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.8.0
Assignee: Dávid Halász
QA Contact: Kedar Kulkarni
URL:
Whiteboard: html5
Depends On: 1421291
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 15:44 UTC by Satoe Imaishi
Modified: 2020-07-16 09:22 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.9
Doc Type: Enhancement
Doc Text:
Clone Of: 1421291
Environment:
Last Closed: 2017-05-31 14:45:55 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
WebMKS_vSphere65 (102.15 KB, image/png)
2017-05-17 19:20 UTC, Kedar Kulkarni
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-04 13:13:44 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4f9a9aca911d816622685617fbe071dcbd68ca7e

commit 4f9a9aca911d816622685617fbe071dcbd68ca7e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Apr 3 15:32:53 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 4 09:10:28 2017 -0400

    Merge pull request #410 from skateman/webmks-remote-console
    
    Support for VMware's new WebMKS HTML consoles in the UI
    (cherry picked from commit 5908da6121f587ce9663043d4e1e7c4bf45748d3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438520

 app/controllers/vm_remote.rb                       |  17 +-
 .../application_helper/button/vm_webmks_console.rb |  12 +
 .../application_helper/toolbar/x_vm_center.rb      |   8 +
 app/views/ops/_settings_server_tab.html.haml       |   2 +-
 app/views/vm_common/console_webmks.html.haml       |  19 +
 config/initializers/assets.rb                      |   3 +
 vendor/assets/images/webmks/touch_sprite.png       | Bin 0 -> 24870 bytes
 .../assets/images/webmks/touch_sprite_feedback.png | Bin 0 -> 17962 bytes
 vendor/assets/javascripts/webmks.js                |   6 +
 vendor/assets/stylesheets/webmks.scss              | 661 +++++++++++++++++++++
 10 files changed, 724 insertions(+), 4 deletions(-)
 create mode 100644 app/helpers/application_helper/button/vm_webmks_console.rb
 create mode 100644 app/views/vm_common/console_webmks.html.haml
 create mode 100644 vendor/assets/images/webmks/touch_sprite.png
 create mode 100644 vendor/assets/images/webmks/touch_sprite_feedback.png
 create mode 100644 vendor/assets/javascripts/webmks.js
 create mode 100644 vendor/assets/stylesheets/webmks.scss

Comment 3 Kedar Kulkarni 2017-05-17 19:18:19 UTC
Tested against following Environments: 

1) RHEL 7.3 - Chrome 58 - vSphere6.5 - CFME Appliance Version: 5.8.0.14-rc3
Note: Google Chrome required --ignore-certificate-errors option to be enabled and to do so, launch Google-chrome from terminal as `google-chrome --ignore-certificate-errors`

Conclusion: VMware WebMKS console works


2) RHEL 7.3 - Firefox 53/52/51 - vSphere6.5 - CFME Appliance Version: 5.8.0.14-rc3

Conclusion: did NOT WORK. Tried to Use workaround:  http://stackoverflow.com/questions/20088/is-there-a-way-to-make-firefox-ignore-invalid-ssl-certificates/32188658#32188658  which was mentioned in comments by martinpovolny at  https://github.com/ManageIQ/manageiq-ui-classic/pull/410.
(See Screenshot WebMKS_vSphere65)

Comment 4 Kedar Kulkarni 2017-05-17 19:20:05 UTC
Created attachment 1279782 [details]
WebMKS_vSphere65

Comment 5 Kedar Kulkarni 2017-05-17 19:30:00 UTC
Tested against following Environments: 

1) Fedora 25 - Chrome 58 - vSphere6.5 - CFME Appliance Version: 5.8.0.14-rc3
Note: Google Chrome required --ignore-certificate-errors option to be enabled and to do so, launch Google-chrome from terminal as `google-chrome --ignore-certificate-errors`

Conclusion: VMware WebMKS console works


2) Fedora 25- Firefox 53/52/51 - vSphere6.5 - CFME Appliance Version: 5.8.0.14-rc3

Conclusion: did NOT WORK. Tried to Use workaround:  http://stackoverflow.com/questions/20088/is-there-a-way-to-make-firefox-ignore-invalid-ssl-certificates/32188658#32188658  which was mentioned in comments by martinpovolny at  https://github.com/ManageIQ/manageiq-ui-classic/pull/410.

Comment 6 Dávid Halász 2017-05-17 19:37:16 UTC
What kind of errors are you seeing in Firefox?

Comment 7 Kedar Kulkarni 2017-05-17 19:41:44 UTC
David, kindly check the attachment. It shows firefox console errors. I have uploaded screenshot from RHEL but the errors appeared exactly the same on Fedora-firefox as well.

Comment 8 Dávid Halász 2017-05-17 19:51:57 UTC
Sorry, I didn't see that. This is clearly an SSL verification issue, so it's not turned off properly. I'm not sure if FF changed the way of turning this off, or something else is wrong, it was working for me.

Comment 9 Dávid Halász 2017-05-18 11:01:20 UTC
Tried it, FF changed its workflow a bit, but found a workaround. You should see a "Firefox can't establish a connection to wss://blablaba.blabla.bla/somethinglong" error. From this URL you need to copy the "blablabla.blabla.bla" part and paste it in a new tab with a "https://" prefix. It will open a page where you can confirm the security exception. After the security exception is confirmed, refresh the page with the remote console.

Unfortunately there is no other way to do this in FF until the hypervisors' SSL certificates aren't signed by a trusted CA. AFAIK Matt Pusateri is working on this in QE's infrastructure.

Comment 10 Kedar Kulkarni 2017-05-18 15:07:52 UTC
Test Environments: 
==================

* Fedora 25- Firefox 53/52/51 and Google Chrome - vSphere6.5 - CFME Appliance Version: 5.8.0.15 
* RHEL 7.3- Firefox 53/52/51 and  Google Chrome- vSphere6.5 - CFME Appliance Version: 5.8.0.15 
* Windows 7 - Google Chrome 58, Firefox 51/52/53 - vSphere6.0- CFME Appliance Version: 5.8.0.15

Conclusion:
============ 

WebMKS Console works with workaround as mentioned below. 

Workaround or Steps needed to make it work on Firefox or Google Chrome: 
========================================================================

* Open the WebMKS VM console for the VM of your choice. 
* Right click on page somewhere and click Inspect Element or use key F12  and then click on Console in opened window. (Please refer screenshot attached) 
* There you will find the error "Firefox can't establish a connection to wss://blablaba.blabla.bla/somethinglong" error. From this URL you need to copy the "blablabla.blabla.bla" part and paste it in a new tab with a "https://" prefix. 
* It will open a page where you can confirm the security exception.
* Then go back to the tab which was supposed to open WebMKS Remote Console and refresh it. 
* It should then connect to VM. 


***NOTE: Using this workaround for Google Chrome will be better than running Google-chrome with --ignore-certificate-errors, because later option is more insecure. And ideally, we should not ignore certificate errors for other sites if we can just ignore this one site which we trust. ***

Comment 11 Kedar Kulkarni 2017-05-18 16:39:20 UTC
Also, forgot to mention in previous comment, IE 11 does not work with same work around.

Comment 13 errata-xmlrpc 2017-05-31 14:45:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.